#include <stdio.h>
#include <stdlib.h>
#include <conio.h>
#include "personas.h"

int main()
{
    char opcion, nombre_archivo[20], nombre[20];
    persona *lista=NULL;
    while(1)
    {
            system("cls");
            printf("1.- Crear Lista\n"
                   "2.- Agregar a Lista\n"
                   "3.- Mostrar lista\n"
                   "4.- Guardar lista\n"
                   "5.- Cargar lista\n"
                   "6.- Buscar Persona\n"
                   "7.- Borrar Persona\n"
                   "8.- Editar Persona\n"
                   "9.- Salir"
                   );
            printf("\n\n");
        while(opcion=getch(), opcion<'1' || opcion>'9');

        fflush(stdin);

        switch(opcion)
        {
            case '1':
                printf("---------------------\n"
                       " Crear Lista\n"
                       "---------------------\n");
                lista=CrearLista();break;
            case '2':
                printf("---------------------\n"
                       " Agregar Persona\n"
                       "---------------------\n");
                InsertarLista(&lista);break;
            case '3':
                printf("---------------------\n"
                       " Lista de Personas\n"
                       "---------------------\n");
                MostrarLista(lista);;break;
            case '4':
            {
                printf("---------------------\n"
                       " Guardar Lista\n"
                       "---------------------\n");
                printf("Ingrese nombre del archivo:\n");
                gets(nombre_archivo);
                GuardarLista(nombre_archivo, lista);
                break;
            }
            case '5':
            {
                printf("---------------------\n"
                       " Cargar Lista\n"
                       "---------------------\n");
                printf("Ingrese nombre del archivo:\n");
                gets(nombre_archivo);
                CargarLista(&lista, nombre_archivo);
                break;
            }
            case'6':
            {
                printf("---------------------\n"
                       " Buscar Persona\n"
                       "---------------------\n");
                printf("Ingrese nombre de persona a buscar:\n");
                gets(nombre);
                BuscarPersona(lista, nombre);
            }break;
            case '7':
            {
                printf("---------------------\n"
                       " Eliminar Persona\n"
                       "---------------------\n");
                printf("Ingrese nombre de persona que desee eliminar de la lista:\n");
                gets(nombre);
                BorrarPersona(&lista, nombre);
            }break;
            case '8':
            {
                printf("---------------------\n"
                       " Editar Persona\n"
                       "---------------------\n");
                printf("Ingrese nombre de persona que desee editar de la lista:\n");
                gets(nombre);
                EditarPersona(lista, nombre);
            }break;
            case '9':
            {
                system("pause");
                return 0;
            }
        }
        system("pause");
    }
}
